#include <stdio.h>
    int N,K,m;
    int Niz[20000];
int main() {
    int i=0;
    char Kraj;
   
    scanf("%d %d", &N, &K);
    
   do {
        scanf("%d%c", &Niz[i], &Kraj);
        i++;
    } while (Kraj != '\0' && i < N);
    
    for(i=0;i<K-1;i++){
        if(Niz[0]>=Niz[N-1]){
            PrvoPravilo();
        }else{
            DrugoPravilo();
        }
    }
    printf("%d", m);
   
    return 0;
}
void PrvoPravilo(){
    Niz[0]-=Niz[N-1];
    m=Niz[0];
    N--;
}
void DrugoPravilo(){
    int i;
    Niz[N-1]-=Niz[0];
    m=Niz[N-1];
    N--;
    for(i=0;i<N-1;i++){
        Niz[i]=Niz[i+1];
    }
}